<?php

$args = array(
    "tz_number_item_desk"                   => "3",
    "tz_number_item_tablet_landscape"       => "3",
    "tz_number_item_tablet_portrait"        => "1",
    "tz_number_item_mobile"                 => "1",
    "tz_auto_option"                        => "",
    "tz_loop_option"                        => "",
    "tz_nav_option"                         => "",
    "tz_dots_option"                        => "",
    "tz_css_animation"                      => "",
);

$html = "";

extract(shortcode_atts($args, $atts));

wp_enqueue_style( 'owl-carousel-234');
wp_enqueue_script('owl-carousel-234');
$tzinteriart_class = '';
if($tz_css_animation != ''){
    wp_enqueue_script( 'waypoints' );
    $tzinteriart_class .= ' wpb_animate_when_almost_visible wpb_' . $tz_css_animation;
}

$interiart_slideid = rand(0,10000);

?>
<div class="tzElement_viewService <?php echo esc_attr($tzinteriart_class);?>">
    <div class="tzView_Service_Slide owl-carousel">
        <?php
        echo do_shortcode($content);
        ?>
    </div>
</div>

<script type="text/javascript">
    jQuery(document).ready(function() {
        "use strict";
        var rtl_vl = jQuery('html').attr('dir');

        if(rtl_vl=='rtl'){
            var rtl_tr=true;
        }else{
            var rtl_tr=false;
        }
        // Blog slider  -----------------
            jQuery(".tzView_Service_Slide").owlCarousel({
                items : <?php if($tz_number_item_desk != ''){ echo esc_attr($tz_number_item_desk);} else{ echo '3';}?>,
                slideSpeed:500,
                paginationSpeed:800,
                rewindSpeed:1000,
                rtl:rtl_tr,
                autoPlay:<?php if($tz_auto_option == true){ echo 'true';}else{ echo 'false';}?>,
                stopOnHover: false,
                singleItem:false,
                navigation : <?php if($tz_nav_option == true){ echo 'true';}else{ echo 'false';}?>,
                navigationText : ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
                rewindNav:<?php if($tz_loop_option == true){ echo 'true';}else{ echo 'false';}?>,
                pagination:<?php if($tz_dots_option == true){ echo 'true';}else{ echo 'false';}?>,
                paginationNumbers:false,
                itemsScaleUp:false,
                mouseDrag:true,
                responsive:{
                    0:{
                        items:1,
                    },
                    480:{
                        items:<?php if($tz_number_item_mobile != ''){ echo esc_attr($tz_number_item_mobile);} else{ echo '2';}?>,
                    },
                    768:{
                        items:<?php if($tz_number_item_tablet_portrait != ''){ echo esc_attr($tz_number_item_tablet_portrait);} else{ echo '3';}?>,
                    },
                    959:{
                        items:<?php if($tz_number_item_tablet_landscape != ''){ echo esc_attr($tz_number_item_tablet_landscape);} else{ echo '4';}?>,
                    },
                    1199:{
                        items:<?php if($tz_number_item_desk != ''){ echo esc_attr($tz_number_item_desk);} else{ echo '6';}?>,
                    }
                }
            });
    });

</script>
