<?php

vc_map( array(
    "name" => esc_html__("Button", "tz-interiart"),
    "weight" => 14,
    "base" => "tz_button",
    "icon" => "icon-element",
    "description" => "",
    "class" => "tzElement_extended",
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Title Button", "tz-interiart"),
            "param_name" => "tz_title",
            "description" => esc_html__("Define a title for the section","tz-interiart"),
            "value" => "",
        ),
        array(
            "type"          => "vc_link",
            "heading"       => esc_html__( "URL (Link)", "tz-interiart" ),
            "param_name"    => "tz_link",
            "description"   => esc_html__( "Add a link to the title", "tz-interiart" ),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => false,
            "heading"       => esc_html__("Button Alignment", "tz-interiart"),
            "param_name"    => "tz_align",
            "description"   => "",
            "value"         => array(
                esc_html__("Center", "tz-interiart")     => 'center',
                esc_html__("Left", "tz-interiart")     => 'left',
                esc_html__("Right", "tz-interiart")     => 'right'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),

    )
) );

?>