<?php

vc_map(array(
    "name" => esc_html__("Feature Item", "tz-interiart"),
    "weight" => 14,
    "base" => "tz-feature-item",
    "icon" => "icon-element",
    "description" => "",
    "class" => "tzElement_extended",
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Type Feature Item", "tz-interiart"),
            "param_name" => "tz_type",
            "description" => "",
            "value" => array(
                esc_html__("Type 1", "tz-interiart") => 'type1',
                esc_html__("Type 2", "tz-interiart") => 'type2',
                esc_html__("Type 3", "tz-interiart") => 'type3',
                esc_html__("Type 4", "tz-interiart") => 'type4',
                esc_html__("Type 5", "tz-interiart") => 'type5',
                esc_html__("Type 6", "tz-interiart") => 'type6',
                esc_html__("Type 7", "tz-interiart") => 'type7',
                esc_html__("Type 8", "tz-interiart") => 'type8',
            ),
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 1", "tz-interiart"),
            "param_name" => "preview_type_1",
            "value" => PLUGIN_PATH . "assets/images/feature1.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type1'))
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 2", "tz-interiart"),
            "param_name" => "preview_type_2",
            "value" => PLUGIN_PATH . "assets/images/feature2.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type2'))
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 3", "tz-interiart"),
            "param_name" => "preview_type_3",
            "value" => PLUGIN_PATH . "assets/images/feature3.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type3'))
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 4", "tz-interiart"),
            "param_name" => "preview_type_4",
            "value" => PLUGIN_PATH . "assets/images/feature4.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type4'))
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 5", "tz-interiart"),
            "param_name" => "preview_type_5",
            "value" => PLUGIN_PATH . "assets/images/feature5.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type5')),
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 6", "tz-interiart"),
            "param_name" => "preview_type_6",
            "value" => PLUGIN_PATH . "assets/images/feature6.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type6')),
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 7", "tz-interiart"),
            "param_name" => "preview_type_7",
            "value" => PLUGIN_PATH . "assets/images/feature7.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type7')),
        ),
        array(
            "type" => "tzpreview",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Preview Type 8", "tz-interiart"),
            "param_name" => "preview_type_8",
            "value" => PLUGIN_PATH . "assets/images/feature8.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('type8')),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Text Align", "tz-interiart"),
            "param_name" => "tz_text_align",
            "description" => "",
            "value" => array(
                esc_html__("Left", "tz-interiart") => 'left',
                esc_html__("Center", "tz-interiart") => 'center',
                esc_html__("Right", "tz-interiart") => 'right'),
            "dependency" => array('element' => 'tz_type', 'value' => array('type6')),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => ent2ncr("Font Icon", "tz-interiart"),
            "param_name" => "tz_font_icon",
            "description" => ent2ncr("If you choose font Furniture icon, you can click on link: <a href=\"http://wordpress.templaza.com/interiart/furniture-icons/\" target=\"_blank\" style=\"text-decoration: none;\">Font Furniture</a>. If you choose font Et-Line icon, you can click on link: <a href=\"http://interiart.templaza.net/icons-et-line/\" target=\"_blank\" style=\"text-decoration: none;\">Font Et-Line</a>. If you choose font Elegant icon, you can click on link: <a href=\"http://wordpress.templaza.com/interiart/elegant-icons-font/\" target=\"_blank\" style=\"text-decoration: none;\">Font Elegant</a>. If you choose Awesome font, you click on link: <a href=\"https://fontawesome.com/v4.7.0/icons/\" target=\"_blank\" style=\"text-decoration: none;\">Font Awesome</a>", "tz-interiart"),
            "value" => array(
                esc_html__("Et Line", "tz-interiart") => 'et-line',
                esc_html__("Furniture", "tz-interiart") => 'furniture',
                esc_html__("Elegant", "tz-interiart") => 'elegant',
                esc_html__("Font Awesome", "tz-interiart") => 'awesome',
                esc_html__("Image Icon", "tz-interiart") => 'image',
            ),

        ),
        array(
            'type' => 'attach_image',
            'class' => '',
            'admin_label' => true,
            'heading' => esc_html__('Image Icon', 'tz-interiart'),
            'param_name' => 'image_icon',
            'description' => esc_html__('Upload your Image Icon', 'tz-interiart'),
            "dependency" => array('element' => 'tz_font_icon', 'value' => array('image')),

        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Class Of Icon", "tz-interiart"),
            "param_name" => "tz_icon",
            "description" => ".If you choose font Et Line icon or font Elegant icon,you can see class of icon in package.If you choose Awesome font, you click on link to go to website: http://fontawesome.io/icons ,and choose suitable class. After that you can fill in textbox.Ex: fa-user",
            "value" => "",
            "dependency" => array('element' => 'tz_font_icon', 'value' => array('et-line', 'furniture', 'elegant', 'awesome')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Number Of Feature", "tz-interiart"),
            "param_name" => "tz_number",
            "dependency" => array('element' => 'tz_type', 'value' => array('type2', 'type3')),
            "value" => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Position Icon", "tz-interiart"),
            "param_name" => "tz_position",
            "description" => esc_html__("Show icon top or left", "tz-interiart"),
            "value" => array(
                esc_html__("Left", "tz-interiart") => 'left',
                esc_html__("Top", "tz-interiart") => 'top',
            ),
            "dependency" => array('element' => 'tz_type', 'value' => array('type1', 'type2', 'type3', 'type4', 'type5', 'type6', 'type7')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Title", "tz-interiart"),
            "param_name" => "tz_title",
            "value" => "",
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Sub Title", "tz-interiart"),
            "param_name" => "tz_subtitle",
            "dependency" => array('element' => 'tz_type', 'value' => array('type1')),
            "value" => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Description Field Type sss", "tz-interiart"),
            "param_name" => "tz_description_type",
            "description" => esc_html__("Select Field type ( Textarea field or Editor field )", "tz-interiart"),
            "value" => array(
                esc_html__("Textarea Field", "tz-interiart") => 'textarea',
                esc_html__("Editor Field", "tz-interiart") => 'editor')
        ),

        array(
            "type" => "textarea",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Description", "tz-interiart"),
            "param_name" => "tz_description",
            "value" => "",
            "dependency" => Array('element' => "tz_description_type", 'value' => array('textarea')),
        ),

        array(
            "type" => "textarea_html",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Description", "tz-interiart"),
            "param_name" => "content",
            "value" => "",
            "dependency" => Array('element' => "tz_description_type", 'value' => array('editor')),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Style Option", "tz-interiart"),
            "param_name" => "tz_style_option",
            "description" => "",
            "value" => array(
                esc_html__("Choose Style Option", "tz-interiart") => '',
                esc_html__("Icon - Text", "tz-interiart") => 'icon-text',
                esc_html__("Text - Icon", "tz-interiart") => 'text-icon'),
            "dependency" => array('element' => 'tz_type', 'value' => array('type2'))
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Readmore Option", "tz-interiart"),
            "param_name" => "tz_readmore_option",
            "description" => "",
            "value" => array(
                esc_html__("Hide", "tz-interiart") => 'hide',
                esc_html__("Show", "tz-interiart") => 'show',
            ),
            "dependency" => array('element' => 'tz_type', 'value' => array('type1', 'type2', 'type3', 'type4', 'type5', 'type6', 'type7')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Readmore Text", "tz-interiart"),
            "param_name" => "tz_readmore_text",
            "description" => "",
            "value" => "",
            "dependency" => array('element' => 'tz_readmore_option', 'value' => array('show'))
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Readmore Link", "tz-interiart"),
            "param_name" => "tz_readmore_link",
            "description" => "",
            "value" => "",
            "dependency" => array('element' => 'tz_readmore_option', 'value' => array('show'))
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Padding Top(px)", "tz-interiart"),
            "param_name" => "tz_padding_top",
            "description" => "Ex: 50;",
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('type1', 'type2', 'type3', 'type4', 'type5', 'type6', 'type7')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Padding Bottom(px)", "tz-interiart"),
            "param_name" => "tz_padding_bottom",
            "description" => "Ex: 50;",
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('type1', 'type2', 'type3', 'type4', 'type5', 'type6', 'type7')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("animation-delay", "tz-interiart"),
            "param_name" => "tz_animation_delay",
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('type8')),
        ),
//        array(
//            "type" => "dropdown",
//            "class" => "",
//            "admin_label" => true,
//            "heading" => esc_html__("Css Animation", "tz-interiart"),
//            "param_name" => "tz_css_animation",
//            "description" => "",
//            "value" => array(
//                esc_html__("No animation", "tz-interiart") => '',
//                esc_html__("fadeIn", "tz-interiart") => 'fadeIn',
//                esc_html__("fadeOut", "tz-interiart") => 'fadeOut',
//                esc_html__("fadeInUp", "tz-interiart") => 'fadeInUp',
//                esc_html__("fadeOutUp", "tz-interiart") => 'fadeOutUp',
//                esc_html__("bounceIn", "tz-interiart") => 'bounceIn',
//                esc_html__("bounceOut", "tz-interiart") => 'bounceOut',
//                esc_html__("bounceInDown", "tz-interiart") => 'bounceInDown',
//                esc_html__("bounceInDown", "tz-interiart") => 'bounceInDown',
//                esc_html__("bounceOutDown", "tz-interiart") => 'bounceOutDown',
//                esc_html__("bounceInLeft", "tz-interiart") => 'bounceInLeft',
//                esc_html__("bounceOutLeft", "tz-interiart") => 'bounceOutLeft',
//                esc_html__("bounceInRight", "tz-interiart") => 'bounceInRight',
//                esc_html__("bounceOutRight", "tz-interiart") => 'bounceOutRight',
//            ),
//        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
));

?>