<?php
vc_map( array(
    "name"          => __("Our services", "tz-interiart"),
    "weight"        => 1,
    "base"          => "interiart-our-process",
    'icon'          =>  'icon-element',
    "class"         => "tzElement_extended",
    "description"   => "Set our process with style",
    "category"      => __("Built for Templaza", "tz-interiart"),
    "params"        => array(
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => __("Number", "tz-interiart"),
            "param_name"    => "interiart_tz_number",
            "description"   => "Input number for service.",
            "value" => "",
        ),

        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => __("Name", "tz-interiart"),
            "param_name"    => "interiart_tz_name",
            "description"   => "Input name for service.",
            "value" => "",
        ),
        array(
            "type"              => "colorpicker",
            "class"             => "",
            "admin_label"       => true,
            "heading"           => __('Color Title', 'tz-interiart'),
            "param_name"        => "interiart_color_title"
        ),
        array(
            "type"          => "textarea",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => __("Description", "tz-interiart"),
            "param_name"    => "content",
            "description"   => "Define a description for the section(optional)",
            "value"         => "",
        ),

        array(
            "type"          => "dropdown",
            "class"         => "",
            "heading"       => __("Readmore Option", "tz-interiart"),
            "param_name"    => "interiart_tz_readmore_option",
            "description"   => __("", "tz-interiart"),
            "value"         => array(
                __("Show", "tz-interiart")               => 'show',
                __("Hide", "tz-interiart")               => 'hide'),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Readmore Text", "tz-interiart"),
            "param_name" => "interiart_tz_readmore_text",
            "description" => "",
            "value" => "",
            "dependency"   => array('element' => 'interiart_tz_readmore_option', 'value' => array('show'))
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Readmore Link", "tz-interiart"),
            "param_name" => "interiart_tz_readmore_link",
            "description" => "",
            "value" => "",
            "dependency"   => array('element' => 'interiart_tz_readmore_option', 'value' => array('show'))
        ),
    )
));
?>