<?php
vc_map( array(
    "name"          => esc_html__("Team Member", "tz-interiart"),
    "icon"          => "icon-element",
    "base"          => "tz-team-member",
    "weight"        => 1,
    "description"   => "",
    "class"         => "tzElement_extended",
    "category"      => esc_html__("Built for Templaza", "tz-interiart"),
    "params"        => array(
        array(
            "type"              => "dropdown",
            "class"             => "",
            "admin_label"       => true,
            "heading"           => esc_html__("Type", "tz-interiart"),
            "param_name"        => "tzinteriart_style",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart") => '1',
                esc_html__("Type 2", "tz-interiart") => '2',
            ),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 1", "tz-interiart"),
            "param_name"    => "preview_type_1",
            "value"         => PLUGIN_PATH."assets/images/member1.jpg",
            "dependency" => array('element' => 'tzinteriart_style', 'value' => array('1'))
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 2", "tz-interiart"),
            "param_name"    => "preview_type_2",
            "value"         => PLUGIN_PATH."assets/images/member2.jpg",
            "dependency" => array('element' => 'tzinteriart_style', 'value' => array('2'))
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 3", "tz-interiart"),
            "param_name"    => "preview_type_3",
            "value"         => PLUGIN_PATH."assets/images/member3.jpg",
            "dependency" => array('element' => 'tzinteriart_style', 'value' => array('3'))
        ),
        array(
            "type"          => "attach_image",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Image Member", "tz-interiart"),
            "param_name"    => "tzinteriart_image",
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Border-radius Image", "tz-interiart"),
            "param_name" => "tz_border",
            "description" => esc_html__("ex: 5px"),
            "value" => "",
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Name", "tz-interiart"),
            "param_name"    => "tzinteriart_name",
            "value"         => "",
        ),
        array(
            "type"              => "textfield",
            "class"             => "",
            "admin_label"       => true,
            "heading"           => esc_html__("Position", "tz-interiart"),
            "param_name"        => "tzinteriart_position",
            "value"             => "",
        ),
    )
));
?>