<?php
/*===============================
Shortocde tz-skill-item
===============================*/

function tz_inter_timeline($atts)
{
    $tz_timeline_title = $tz_description = $tz_timeline_year = '';
    extract(shortcode_atts(array(
        'tz_timeline_title' => '',
        'tz_description' => '',
        'tz_timeline_year' => '',
    ), $atts));
    ob_start();

    ?>
    <div class="tz_timeline_view">
        <div class="tz_timeline_item">

            <div class="tz_timeline_date col-md-3">
            <span>
                <?php echo esc_html($tz_timeline_year); ?>
            </span>
            </div>
            <div class="tz_timeline_info col-md-9">

                <h3 class="tz_timeline_title"">
                <?php echo force_balance_tags($tz_timeline_title); ?>
                </h3>

                <?php if ($tz_description != ''): ?>
                    <p class="tz_timeline_des">
                        <?php
                        echo esc_html($tz_description);
//                        echo balance_tags($tz_description);
                        ?>
                    </p>
                <?php endif; ?>
            </div>


        </div>
    </div>
    <?php
    return ob_get_clean();
}

add_shortcode('tz_inter_timeline', 'tz_inter_timeline');
?>


























