<?php
vc_map( array(
    "name" => esc_html__("Title", "tz-interiart"),
    "icon" => "icon-element",
    "weight" => 1,
    "base" => "tz-title",
    "class" => "tzElement_extended",
    "description" => esc_html__("Set a title and subtitle with style","tz-interiart"),
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Title Type", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")     => '1',
                esc_html__("Type 2", "tz-interiart")     => '2',
                esc_html__("Type 3", "tz-interiart")     => '3',
                esc_html__("Type 4", "tz-interiart")     => '4',
                esc_html__("Type 5", "tz-interiart")     => '5',
                esc_html__("Type 6", "tz-interiart")     => '6',
                esc_html__("Type 7", "tz-interiart")     => '7',
                esc_html__("Type 8", "tz-interiart")     => '8',
                esc_html__("Type 9", "tz-interiart")     => '9',
                esc_html__("Type 10", "tz-interiart")     => '10',
                esc_html__("Type 11", "tz-interiart")     => '11',
                esc_html__("Type 12", "tz-interiart")     => '12',
                esc_html__("Type 13", "tz-interiart")     => '13',

            ),

        ),

        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 1", "tz-interiart"),
            "param_name"    => "preview_type_1",
            "value"         => PLUGIN_PATH."assets/images/type1.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '1')
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 2", "tz-interiart"),
            "param_name"    => "preview_type_2",
            "value"         => PLUGIN_PATH."assets/images/type2.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('2'))
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 3", "tz-interiart"),
            "param_name"    => "preview_type_3",
            "value"         => PLUGIN_PATH."assets/images/type3.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('3'))
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 4", "tz-interiart"),
            "param_name"    => "preview_type_4",
            "value"         => PLUGIN_PATH."assets/images/type4.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('4'))
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 5", "tz-interiart"),
            "param_name"    => "preview_type_5",
            "value"         => PLUGIN_PATH."assets/images/type5.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('5')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 6", "tz-interiart"),
            "param_name"    => "preview_type_6",
            "value"         => PLUGIN_PATH."assets/images/type6.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('6')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 7", "tz-interiart"),
            "param_name"    => "preview_type_7",
            "value"         => PLUGIN_PATH."assets/images/type7.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('7')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 8", "tz-interiart"),
            "param_name"    => "preview_type_8",
            "value"         => PLUGIN_PATH."assets/images/type8.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('8')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 9", "tz-interiart"),
            "param_name"    => "preview_type_9",
            "value"         => PLUGIN_PATH."assets/images/type9.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('9')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 10", "tz-interiart"),
            "param_name"    => "preview_type_10",
            "value"         => PLUGIN_PATH."assets/images/type10.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('10')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 11", "tz-interiart"),
            "param_name"    => "preview_type_11",
            "value"         => PLUGIN_PATH."assets/images/type11.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('11')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 12", "tz-interiart"),
            "param_name"    => "preview_type_12",
            "value"         => PLUGIN_PATH."assets/images/type12.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('12')),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 13", "tz-interiart"),
            "param_name"    => "preview_type_13",
            "value"         => PLUGIN_PATH."assets/images/type13.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('13')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Section Title", "tz-interiart"),
            "param_name" => "tz_title",
            "description" => esc_html__("Define a title for the section","tz-interiart"),
            "value" => "",
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Position of Lines", "tz-interiart"),
            "param_name" => "tz_type_dash",
            "value" => array(
                esc_html__("Above the title", "tz-interiart") => 'tz_on_title',
                esc_html__("Under the title", "tz-interiart") => 'tz_under_title',
                esc_html__("On the Left", "tz-interiart") => 'tz_left_title',
                esc_html__("On the Right", "tz-interiart") => 'tz_right_title',
            ),
            "dependency" => array('element' => 'tz_type', 'value' => array('12')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Font size Title", "tz-interiart"),
            "param_name" => "tz_title_size",
            "description" => esc_html__("ex:36px"),
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('2','12')),
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Line-height Title", "tz-interiart"),
            "param_name" => "tz_title_line_height",
            "description" => esc_html__("ex:10px"),
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('12')),
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Section Subtitle", "tz-interiart"),
            "param_name" => "tz_subtitle",
            "description" => esc_html__("Define a subtitle for the section(optional)","tz-interiart"),
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('1','3','4','11')),
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__('Color Subtitle', 'tz-interiart'),
            "param_name" => "tz_color_subtitle",
            "description" => esc_html__("You can set a color subtitle.", "tz-interiart"),
            "dependency" => array('element' => 'tz_type', 'value' => array('1','3','4','11')),
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),

        array(
            "type" => "textarea",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Description", "tz-interiart"),
            "param_name" => "tz_description",
            "description" => esc_html__("Define a description for the section(optional)","tz-interiart"),
            "value" => "",
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Font-size Description", "tz-interiart"),
            "description" => esc_html__("Ex: 15px"),
            "param_name" => "tz_fontsize_des",
            "value" => "",
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Text view more", "tz-interiart"),
            "description" => esc_html__("Ex: 15px"),
            "param_name" => "tz_text_view_more",
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('12')),
        ),
        array(
            "type" => "vc_link",
            "heading" => esc_html__("URL (Link)", "tz-interiart"),
            "param_name" => "link",
            "description" => esc_html__("Add read more.", "tz-interiart"),
            "dependency" => array('element' => 'tz_type', 'value' => array('12')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Padding Description", "tz-interiart"),
            "description" => esc_html__("Ex: 10px 10px 10px 10px"),
            "param_name" => "tz_padding_des",
            "value" => "",
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Font-weight Description", "tz-interiart"),
            "description" => esc_html__("Value: Form 100 to 900. Ex: 500","tz-interiart"),
            "param_name" => "tz_fontweight_des",
            "value" => "",
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Title', 'tz-interiart'),
            "param_name" => "tz_color_title",
            "description" => esc_html__("You can set a color title.", "tz-interiart"),
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__('Color Description', 'tz-interiart'),
            "param_name" => "tz_color_des",
            "description" => esc_html__("You can set a color description.", "tz-interiart"),
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__('Color view more', 'tz-interiart'),
            "param_name" => "tz_color_viewmore",
            "description" => esc_html__("You can set a color view more.", "tz-interiart"),
            "group" => esc_html__("Setting color", "tz-interiart"),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => false,
            "heading"       => esc_html__("Text Align", "tz-interiart"),
            "param_name"    => "tz_text_align",
            "description"   => "",
            "value"         => array(
                esc_html__("Center", "tz-interiart")     => 'center',
                esc_html__("Left", "tz-interiart")     => 'left',
                esc_html__("Right", "tz-interiart")     => 'right'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Extra class name", "tz-interiart"),
            "param_name" => "tz_extra_class",
            "value" => "",
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
));
?>