<?php
vc_map( array(
    "name"          => esc_html__("Service Item", "tz-interiart"),
    "icon"          => "icon-element",
    "base"          => "tz-service-v2",
    "weight"        => 1,
    "description"   => "",
    "class"         => "tzElement_extended",
    "category"      => esc_html__("Built for Templaza", "tz-interiart"),
    "params"        => array(
        array(
            "type"          => "attach_image",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Image Project", "tz-interiart"),
            "param_name"    => "tzinteriart_image",
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number", "tz-interiart"),
            "param_name"    => "tzinteriart_number",
            "value"         => "",
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Title", "tz-interiart"),
            "param_name"    => "tzinteriart_title",
            "value" => "",
        ),
        array(
            "type"              => "textarea",
            "class"             => "",
            "admin_label"       => true,
            "heading"           => esc_html__("Description", "tz-interiart"),
            "param_name"        => "tzinteriart_des",
            "value"             => "",
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Option Button", "tz-interiart"),
            "param_name"    => "tz_option_button",
            "description"   => esc_html__("You can choose show or hide button.", "tz-interiart"),
            "value"         => array(
                esc_html__("Show", "tz-interiart") => 'show',
                esc_html__("Hide", "tz-interiart") => 'hide')
        ),
        array(
            "type"              => "textfield",
            "class"             => "",
            "admin_label"       => true,
            "heading"           => esc_html__("Button Text", "tz-interiart"),
            "param_name"        => "tzinteriart_readmore_text",
            "value"             => "",
            "dependency"        => Array('element' => "tz_option_button", 'value' => array('show')),
        ),
        array(
            "type"              => "textfield",
            "class"             => "",
            "admin_label"       => true,
            "heading"           => esc_html__("Button Link", "tz-interiart"),
            "param_name"        => "tzinteriart_readmore_link",
            "value"             => "",
            "dependency"         => Array('element' => "tz_option_button", 'value' => array('show')),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Image Align", "tz-interiart"),
            "param_name"    => "tzinteriart_option",
            "value"         => array(
                esc_html__("Left Option", "tz-interiart") => '1',
                esc_html__("Right Option", "tz-interiart") => '2'
            ),
        ),
    )
));
?>