<?php

vc_map( array(
    "name" => esc_html__("Banner", "tz-interiart"),
    "weight" => 14,
    "base" => "tz_inter_banner",
    "icon" => "icon-element",
    "description" => "",
    "class" => "tzElement_extended",
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Title Type", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")     => '1',
                esc_html__("Type 2", "tz-interiart")     => '2',

            ),

        ),

        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 1", "tz-interiart"),
            "param_name"    => "preview_type_1",
            "value"         => PLUGIN_PATH."assets/images/banner_type1.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '1')
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 2", "tz-interiart"),
            "param_name"    => "preview_type_2",
            "value"         => PLUGIN_PATH."assets/images/banner_type2.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('2'))
        ),

        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Title", "tz-interiart"),
            "param_name" => "tz_title",
            "description" => esc_html__("Define a title for the section","tz-interiart"),
            "value" => "",
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Subtitle", "tz-interiart"),
            "param_name" => "tz_subtitle",
            "description" => esc_html__("Define a subtitle for the section(optional)","tz-interiart"),
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => array('2')),
        ),

        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Align title", "tz-interiart"),
            "param_name"    => "tz_align",
            "value"         => array(
                esc_html__("Left", "tz-interiart") => '1',
                esc_html__("Center", "tz-interiart") => '2',
                esc_html__("Right", "tz-interiart") => '3',
            )
        ),
        array(
            "type"          => "vc_link",
            "heading"       => esc_html__( "URL (Link)", "tz-interiart" ),
            "param_name"    => "tz_link",
            "description"   => esc_html__( "Add a link to the title", "tz-interiart" ),
        ),
        array(
            "type" => "attach_image",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Background Image", "tz-interiart"),
            "param_name" => "tz_bg_banner",
            "description" => esc_html__("Upload image.", "tz-interiart"),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),

    )
) );

?>