<?php
/*===============================
Shortocde tz-skill-item
===============================*/

function tz_button($atts)
{
    $tz_title = $tz_link = $tz_align = $css = '';
    extract(shortcode_atts(array(
        'tz_title' => '',
        'tz_link' => '',
        'tz_align' => '',
        'css' => '',

    ), $atts));
    ob_start();

    $vc_link = vc_build_link($tz_link);

    if ($tz_align == 'left') :
        $tz_align_value = 'tz_left';
    elseif ($tz_align == 'center') :
        $tz_align_value = 'tz_center';
    elseif ($tz_align == 'right') :
        $tz_align_value = 'tz_right';
    endif;

    $button_classes = '';
    if (isset($css) && $css != ''):
        $button_classes .= ' ' . vc_shortcode_custom_css_class($css);
    endif;
    ?>

    <div class="tz_button <?php echo esc_attr($button_classes); ?> <?php echo esc_attr($tz_align_value); ?>">
        <?php if ($tz_link == true && $vc_link['url'] != '' && $tz_title != '') : ?>
            <a href="<?php echo esc_attr($vc_link['url']) ?>" target="<?php echo esc_attr($vc_link['target']); ?>"
               title="<?php echo esc_attr($vc_link['title']); ?>">
                <?php if ($tz_title != '') : ?>
                    <?php echo balanceTags($tz_title); ?>
                <?php endif; ?>
            </a>
        <?php endif; ?>


    </div>
    <?php
    return ob_get_clean();
}

add_shortcode('tz_button', 'tz_button');
?>
