<?php
vc_map( array(
    "name"          => __("Contact us", "tz-interiart"),
    "weight"        => 1,
    "base"          => "tz_contact_us",
    'icon'          =>  'icon-element',
    "class"         => "tzElement_extended",
    "description"   => "",
    "category"      => __("Built for Templaza", "tz-interiart"),
    "params"        => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Title Type", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")     => '1',
                esc_html__("Type 2", "tz-interiart")     => '2',
            ),
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => __("Title", "tz-interiart"),
            "param_name"    => "tz_phone_title",
            "description"   => "Define a title",
            "value" => "",
            "dependency" => array('element' => 'tz_type', 'value' => '1')
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => __("Phone Number", "tz-interiart"),
            "param_name"    => "tz_phone_number",
            "description"   => "Enter phone number",
            "value" => "",
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => __("Mail", "tz-interiart"),
            "param_name"    => "tz_mail",
            "value" => "",
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),

    )
));
?>