<?php
vc_map(array(
    "name" => esc_html__("Video Popup", 'tz-interiart'),
    'description' => esc_html__('Create Video Popup.', 'tz-interiart'),
    "icon" => "icon-element",
    "base" => "tz-section-video-popup",
    "class" => "tel_interiart_extended",
    'show_settings_on_create' => true,
    "category" => esc_html__("Built for Templaza", 'tz-interiart'),
    "params" => array(
        array(
            'type' => 'textfield',
            'class' => '',
            'admin_label' => false,
            'description' => esc_html__('Youtube url or Vimeo url.', 'tz-interiart'),
            'heading' => esc_html__('Video link', 'tz-interiart'),
            'param_name' => 'tz_video_link',

        ),
        array(
            'type' => 'checkbox',
            'class' => '',
            'admin_label' => true,
            'heading' => esc_html__('Use Play image?', 'tz-interiart'),
            'param_name' => 'video_icon',
            'description' => esc_html__('If checked, you need to upload an image for the Play button.', 'tz-interiart'),
            'std' => 'false',
            'value' => array(
                esc_html__('Enable', 'tz-interiart') => 'true',
            ),
        ),
        array(
            'type' => 'attach_image',
            'class' => '',
            'heading' => esc_html__('Icon play image', 'tz-interiart'),
            'param_name' => 'video_icon_play_img',
            'description' => esc_html__('Upload icon  play image', 'tz-interiart'),
            'dependency' => Array('element' => 'video_icon', 'value' => 'true'),

        ),
        array(
            'type' => 'attach_image',
            'class' => '',
            'heading' => esc_html__('Poster Image', 'tz-interiart'),
            'param_name' => 'tz_video_image',
            'description' => esc_html__('Upload your background video', 'tz-interiart'),

        ),
        array(
            'type' => 'textfield',
            'class' => '',
            'admin_label' => false,
            'heading' => esc_html__('Width', 'tz-interiart'),
            'param_name' => 'tz_img_width',

        ),
        array(
            'type' => 'textfield',
            'class' => '',
            'admin_label' => false,
            'heading' => esc_html__('Height', 'tz-interiart'),
            'param_name' => 'tz_img_hieght',

        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    ),
));
?>