<?php
/*
 * Element Tz Portfolio Grid
 * */
$tz_team_cat = array();
$cate_team = get_categories(array('taxonomy'=>'team-category'));

foreach ($cate_team as $cat){
    $tz_team_cat[$cat->name] = $cat->term_id;
}

vc_map( array(
    "name"          => esc_html__("View Team", "tz-interiart"),
    "icon"          => "icon-element",
    "base"          => "tz-view-team",
    "weight"        => 11,
    "description"   => "",
    "class"         => "tzElement_extended",
    "category"      => esc_html__("Built for Templaza", "tz-interiart"),
    "params"        => array(

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading" =>  esc_html__("Team Categories", "tz-interiart"),
            "param_name" => "tz_category",
            "value" => $tz_team_cat,
            "description" => esc_html__("Select category team.", "tz-interiart"),
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Limit", "tz-interiart"),
            "param_name"    => "tz_limit",
            "value"         => "",
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Order by", "tz-interiart"),
            "param_name"    => "tz_orderby",
            "value"         => array(
                esc_html__("Date", "tz-interiart") => 'date',
                esc_html__("ID", "tz-interiart") => "id",
                esc_html__("Title", "tz-interiart") => "title"),
            "description"   => "",
        ),

        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Order", "tz-interiart"),
            "param_name"    => "tz_order",
            "value"         => array(
                esc_html__("Descending", "tz-interiart") => 'desc',
                esc_html__("Ascending", "tz-interiart") => "asc"),
            "description"   => "",
        ),

        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Column Of Desktop", "tz-interiart"),
            "param_name"    => "tz_col_desktop",
            "value"         => "",
        ),

        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Column Of Tablet Portrait", "tz-interiart"),
            "param_name"    => "tz_col_tabletportrait",
            "value"         => "",
        ),

        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Column Of Mobile Landscape", "tz-interiart"),
            "param_name"    => "tz_col_mobilelandscape",
            "value"         => "",
        ),

        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number column of Mobile", "tz-interiart"),
            "param_name"    => "tz_col_mobile",
            "value"         => "",
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Auto Play", "tz-interiart"),
            "param_name"    => "tz_slide_auto",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show next/prev buttons", "tz-interiart"),
            "param_name"    => "tz_nav_option",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slider Loop", "tz-interiart"),
            "param_name"    => "tz_loop_option",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Margin Item", "tz-interiart"),
            "description"   => esc_html__("Ex: 15px.", "tz-interiart"),
            "param_name"    => "tz_margin",
            "value"         => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
));

?>