(function ($) {
    $(document).ready(function () {
        jQuery(function ($) {
            var doAnimations = function () {
                // Calc current offset and get all tz_animatables
                var offset = $(window).scrollTop() + $(window).height(),
                    $tz_animatables = $('.tz_animatable');
                // Unbind scroll handler if we have no tz_animatables
                if ($tz_animatables.length == 0) {
                    $(window).off('scroll', doAnimations);
                }
                $tz_animatables.each(function (i) {
                    var $tz_animatable = $(this);
                    if (($tz_animatable.offset().top + $tz_animatable.height() - 200) < offset) {
                        $tz_animatable.addClass('animated');
                        $tz_animatable.addClass('fadeInUp');
                        $tz_animatable.css("opacity", '1');
                    }
                });
            };
            // Hook doAnimations on scroll, and trigger a scroll
            $(window).on('scroll', doAnimations);
            $(window).trigger('scroll');

        });
    });
})(jQuery);